Debian Bug report logs - #440807
increase CONFIG_SERIAL_8250_NR_UARTS (number of serial ports)

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Per Olofsson <pelle@dsv.su.se>

Date: Tue, 4 Sep 2007 11:15:02 UTC

Severity: wishlist

Found in version 2.6.22-4

Fixed in version linux-2.6/2.6.24~rc8-1~experimental.1

Done: Bastian Blank <waldi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#440807; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Per Olofsson <pelle@dsv.su.se>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Per Olofsson <pelle@dsv.su.se>
To: submit@bugs.debian.org
Subject: increase CONFIG_SERIAL_8250_NR_UARTS (number of serial ports)
Date: Tue, 04 Sep 2007 13:12:36 +0200
Package: linux-2.6
Severity: wishlist
Version: 2.6.22-4

Hi,

I run a console server with a serial port replicator, but the number of serial
ports in the kernel is limited to 16 (CONFIG_SERIAL_8250_NR_UARTS), so I have to
rebuild the kernel every time I update it.

It would be good if the limit could be set higher. It would, however, increase
memory use -- but perhaps it could be enabled in the -686-bigmem flavour, as
memory is less of a concern there?

-- 
Pelle



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#440807; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Lukasz Szybalski <lszybalski@uniqueinsuranceco.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 440807@bugs.debian.org (full text, mbox):

From: Lukasz Szybalski <lszybalski@uniqueinsuranceco.com>
To: 440807@bugs.debian.org
Subject: increase CONFIG_SERIAL_8250_NR_UARTS (number of serial ports)
Date: Tue, 08 Jan 2008 14:50:41 -0600
Hello,
I have similar problem. We are running a hylafax fax server with 
multiple serial ports with attached fax modems to it.

Currently we have 1 serial port on motherboard and 2 port pci card. I 
would like to add another 4 port pci card. I am not able to do it 
because I get a conflict on ttyS.

Since regular pc pci limit is on average 3. the max serial ports I could 
install is  3x(6port serial card)  + 1 on mother board.  So Max I could 
fit on is 19 if I wanted to. Realistically it would be optimal for me to 
have  at least 7 available.

Is there some kind of setting that can be changed without recompiling 
the  kernel to allow this many serial ports or some kernel header that 
would increase the number of available serial ports without much problem?

Thanks,

Lucas




-- 
Lukasz Szybalski
Unique Insurance Co
www.UniqueInsuranceCo.com
773-299-7527





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#440807; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 440807@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Lukasz Szybalski <lszybalski@uniqueinsuranceco.com>, 440807@bugs.debian.org
Subject: Re: Bug#440807: increase CONFIG_SERIAL_8250_NR_UARTS (number of serial ports)
Date: Tue, 8 Jan 2008 22:29:29 +0100
On Tue, Jan 08, 2008 at 02:50:41PM -0600, Lukasz Szybalski wrote:
> 
> Currently we have 1 serial port on motherboard and 2 port pci card. I 
> would like to add another 4 port pci card. I am not able to do it 
> because I get a conflict on ttyS.
> 
> Since regular pc pci limit is on average 3. the max serial ports I could 
> install is  3x(6port serial card)  + 1 on mother board.  So Max I could 
> fit on is 19 if I wanted to. Realistically it would be optimal for me to 
> have  at least 7 available.
> 
> Is there some kind of setting that can be changed without recompiling 
> the  kernel to allow this many serial ports or some kernel header that 
> would increase the number of available serial ports without much problem?

$  egrep NR_UARTS /boot/config-2.6.24-rc7-amd64  
CONFIG_SERIAL_8250_NR_UARTS=16

$  egrep RUNTIME_UARTS /boot/config-2.6.24-rc7-amd64  
CONFIG_SERIAL_8250_RUNTIME_UARTS=4

This can be overridden with the module parameter "nr_uarts", or
boot-time parameter 8250.nr_uarts.

up to 16 evidently

-- 
maks





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#440807; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Lukasz Szybalski <lszybalski@uniqueinsuranceco.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 440807@bugs.debian.org (full text, mbox):

From: Lukasz Szybalski <lszybalski@uniqueinsuranceco.com>
To: 440807@bugs.debian.org
Subject: Re: Bug#440807: increase CONFIG_SERIAL_8250_NR_UARTS (number of serial ports)
Date: Wed, 09 Jan 2008 09:42:15 -0600
maximilian attems wrote:
> On Tue, Jan 08, 2008 at 02:50:41PM -0600, Lukasz Szybalski wrote:
>   
>> Currently we have 1 serial port on motherboard and 2 port pci card. I 
>> would like to add another 4 port pci card. I am not able to do it 
>> because I get a conflict on ttyS.
>>
>> Since regular pc pci limit is on average 3. the max serial ports I could 
>> install is  3x(6port serial card)  + 1 on mother board.  So Max I could 
>> fit on is 19 if I wanted to. Realistically it would be optimal for me to 
>> have  at least 7 available.
>>
>> Is there some kind of setting that can be changed without recompiling 
>> the  kernel to allow this many serial ports or some kernel header that 
>> would increase the number of available serial ports without much problem?
>>     
>
> $  egrep NR_UARTS /boot/config-2.6.24-rc7-amd64  
> CONFIG_SERIAL_8250_NR_UARTS=16
>
> $  egrep RUNTIME_UARTS /boot/config-2.6.24-rc7-amd64  
> CONFIG_SERIAL_8250_RUNTIME_UARTS=4
>
> This can be overridden with the module parameter "nr_uarts", or
> boot-time parameter 8250.nr_uarts.
>
> up to 16 evidently
>
>   

Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing enabled

I edited /boot/grub/menu.lst and change the following lines by adding 
the 8250.nr_uarts=16 at the end of kernel option.

title Debian GNU/Linux,
kernel 2.6.18-5-686 root (hd0,1)
kernel /boot/vmlinuz-2.6.18-5-686 root=/dev/sda2 ro 8250.nr_uarts=16
initrd /boot/initrd.img-2.6.18-5-686
savedefault

Now I've got:
Serial: 8250/16550 driver $Revision: 1.90 $ 16 ports, IRQ sharing enabled

Just for the my info. Is there a setting I could pass on boot time to 
increase the max number of serial ports and then set my 8250.nr_uarts=16 
to let say 20.

Thanks,
Lucas
ps. I added the info on the process of going from 4 to 16 here:
http://lucasmanual.com/mywiki/FaxServer#head-e5a4f60720205d4c950a7ba608cd73a35c978946






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#440807; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 440807@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Lukasz Szybalski <lszybalski@uniqueinsuranceco.com>, 440807@bugs.debian.org
Subject: Re: Bug#440807: increase CONFIG_SERIAL_8250_NR_UARTS (number of serial ports)
Date: Wed, 9 Jan 2008 17:00:49 +0100
On Wed, Jan 09, 2008 at 09:42:15AM -0600, Lukasz Szybalski wrote:
> maximilian attems wrote:
> >
> >$  egrep NR_UARTS /boot/config-2.6.24-rc7-amd64  
> >CONFIG_SERIAL_8250_NR_UARTS=16
> >
> >$  egrep RUNTIME_UARTS /boot/config-2.6.24-rc7-amd64  
> >CONFIG_SERIAL_8250_RUNTIME_UARTS=4
> >
> >This can be overridden with the module parameter "nr_uarts", or
> >boot-time parameter 8250.nr_uarts.
> >
> >up to 16 evidently
> >
> >  
> 
> Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing enabled
> 
> I edited /boot/grub/menu.lst and change the following lines by adding 
> the 8250.nr_uarts=16 at the end of kernel option.
> 
> title Debian GNU/Linux,
> kernel 2.6.18-5-686 root (hd0,1)
> kernel /boot/vmlinuz-2.6.18-5-686 root=/dev/sda2 ro 8250.nr_uarts=16
> initrd /boot/initrd.img-2.6.18-5-686
> savedefault

that is _not_ the recommended way.
add the bootparam to koopt and run update-grub.
your setting above will be overwritten soon.
 
> Now I've got:
> Serial: 8250/16550 driver $Revision: 1.90 $ 16 ports, IRQ sharing enabled
> 
> Just for the my info. Is there a setting I could pass on boot time to 
> increase the max number of serial ports and then set my 8250.nr_uarts=16 
> to let say 20.

you start greeedy, the first question was to get 9 devices,
currently no.

-- 
maks




Tags added: pending Request was from Maximilian Attems <maks@alioth.debian.org> to control@bugs.debian.org. (Wed, 09 Jan 2008 16:24:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#440807; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Lukasz Szybalski <lszybalski@uniqueinsuranceco.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #32 received at 440807@bugs.debian.org (full text, mbox):

From: Lukasz Szybalski <lszybalski@uniqueinsuranceco.com>
To: maximilian attems <max@stro.at>
Cc: 440807@bugs.debian.org
Subject: Re: Bug#440807: increase CONFIG_SERIAL_8250_NR_UARTS (number of serial ports)
Date: Wed, 09 Jan 2008 12:06:16 -0600
maximilian attems wrote:
> On Wed, Jan 09, 2008 at 09:42:15AM -0600, Lukasz Szybalski wrote:
>   
>> maximilian attems wrote:
>>     
>>> $  egrep NR_UARTS /boot/config-2.6.24-rc7-amd64  
>>> CONFIG_SERIAL_8250_NR_UARTS=16
>>>
>>> $  egrep RUNTIME_UARTS /boot/config-2.6.24-rc7-amd64  
>>> CONFIG_SERIAL_8250_RUNTIME_UARTS=4
>>>
>>> This can be overridden with the module parameter "nr_uarts", or
>>> boot-time parameter 8250.nr_uarts.
>>>
>>> up to 16 evidently
>>>
>>>  
>>>       
>> Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing enabled
>>
>> I edited /boot/grub/menu.lst and change the following lines by adding 
>> the 8250.nr_uarts=16 at the end of kernel option.
>>
>> title Debian GNU/Linux,
>> kernel 2.6.18-5-686 root (hd0,1)
>> kernel /boot/vmlinuz-2.6.18-5-686 root=/dev/sda2 ro 8250.nr_uarts=16
>> initrd /boot/initrd.img-2.6.18-5-686
>> savedefault
>>     
>
> that is _not_ the recommended way.
> add the bootparam to koopt and run update-grub.
> your setting above will be overwritten soon.
>   
soon, as in in the next kernel upgrade or?
>  
>   
>> Now I've got:
>> Serial: 8250/16550 driver $Revision: 1.90 $ 16 ports, IRQ sharing enabled
>>
>> Just for the my info. Is there a setting I could pass on boot time to 
>> increase the max number of serial ports and then set my 8250.nr_uarts=16 
>> to let say 20.
>>     
>
> you start greeedy, the first question was to get 9 devices,
> currently no.
>
>   
Since the limit is 16 then why not go 16. Could you tell me the proper 
exact way I should run the command. My knowledge on the kernel 
parameters is limited.

I run it as root on a command line?
bootparam 8250.nr_uarts=16 ??
or?

Thanks,
Lucas






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#440807; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #37 received at 440807@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Lukasz Szybalski <lszybalski@uniqueinsuranceco.com>
Cc: 440807@bugs.debian.org
Subject: Re: Bug#440807: increase CONFIG_SERIAL_8250_NR_UARTS (number of serial ports)
Date: Wed, 9 Jan 2008 19:56:02 +0100
On Wed, Jan 09, 2008 at 12:06:16PM -0600, Lukasz Szybalski wrote:
> I run it as root on a command line?
> bootparam 8250.nr_uarts=16 ??
> or?

add the bootparam "8250.nr_uarts=16" to the kopt line in
/boot/grub/menu.lst then run update-grub. (as already told ;)
 
2.6.24 wil have 32 as upper limit, so this bug is marked as pending.
happy usage

-- 
maks




Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Per Olofsson <pelle@dsv.su.se>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #42 received at 440807-close@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 440807-close@bugs.debian.org
Subject: Bug#440807: fixed in linux-2.6 2.6.24~rc8-1~experimental.1
Date: Thu, 24 Jan 2008 21:58:26 +0000
Source: linux-2.6
Source-Version: 2.6.24~rc8-1~experimental.1

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

linux-2.6_2.6.24~rc8-1~experimental.1.diff.gz
  to pool/main/l/linux-2.6/linux-2.6_2.6.24~rc8-1~experimental.1.diff.gz
linux-2.6_2.6.24~rc8-1~experimental.1.dsc
  to pool/main/l/linux-2.6/linux-2.6_2.6.24~rc8-1~experimental.1.dsc
linux-2.6_2.6.24~rc8.orig.tar.gz
  to pool/main/l/linux-2.6/linux-2.6_2.6.24~rc8.orig.tar.gz
linux-doc-2.6.24_2.6.24~rc8-1~experimental.1_all.deb
  to pool/main/l/linux-2.6/linux-doc-2.6.24_2.6.24~rc8-1~experimental.1_all.deb
linux-headers-2.6.24-rc8-all-powerpc_2.6.24~rc8-1~experimental.1_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.24-rc8-all-powerpc_2.6.24~rc8-1~experimental.1_powerpc.deb
linux-headers-2.6.24-rc8-all_2.6.24~rc8-1~experimental.1_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.24-rc8-all_2.6.24~rc8-1~experimental.1_powerpc.deb
linux-headers-2.6.24-rc8-common_2.6.24~rc8-1~experimental.1_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.24-rc8-common_2.6.24~rc8-1~experimental.1_powerpc.deb
linux-headers-2.6.24-rc8-powerpc-miboot_2.6.24~rc8-1~experimental.1_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.24-rc8-powerpc-miboot_2.6.24~rc8-1~experimental.1_powerpc.deb
linux-headers-2.6.24-rc8-powerpc-smp_2.6.24~rc8-1~experimental.1_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.24-rc8-powerpc-smp_2.6.24~rc8-1~experimental.1_powerpc.deb
linux-headers-2.6.24-rc8-powerpc64_2.6.24~rc8-1~experimental.1_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.24-rc8-powerpc64_2.6.24~rc8-1~experimental.1_powerpc.deb
linux-headers-2.6.24-rc8-powerpc_2.6.24~rc8-1~experimental.1_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.24-rc8-powerpc_2.6.24~rc8-1~experimental.1_powerpc.deb
linux-image-2.6.24-rc8-powerpc-miboot_2.6.24~rc8-1~experimental.1_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.24-rc8-powerpc-miboot_2.6.24~rc8-1~experimental.1_powerpc.deb
linux-image-2.6.24-rc8-powerpc-smp_2.6.24~rc8-1~experimental.1_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.24-rc8-powerpc-smp_2.6.24~rc8-1~experimental.1_powerpc.deb
linux-image-2.6.24-rc8-powerpc64_2.6.24~rc8-1~experimental.1_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.24-rc8-powerpc64_2.6.24~rc8-1~experimental.1_powerpc.deb
linux-image-2.6.24-rc8-powerpc_2.6.24~rc8-1~experimental.1_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.24-rc8-powerpc_2.6.24~rc8-1~experimental.1_powerpc.deb
linux-libc-dev_2.6.24~rc8-1~experimental.1_powerpc.deb
  to pool/main/l/linux-2.6/linux-libc-dev_2.6.24~rc8-1~experimental.1_powerpc.deb
linux-manual-2.6.24_2.6.24~rc8-1~experimental.1_all.deb
  to pool/main/l/linux-2.6/linux-manual-2.6.24_2.6.24~rc8-1~experimental.1_all.deb
linux-patch-debian-2.6.24_2.6.24~rc8-1~experimental.1_all.deb
  to pool/main/l/linux-2.6/linux-patch-debian-2.6.24_2.6.24~rc8-1~experimental.1_all.deb
linux-source-2.6.24_2.6.24~rc8-1~experimental.1_all.deb
  to pool/main/l/linux-2.6/linux-source-2.6.24_2.6.24~rc8-1~experimental.1_all.deb
linux-support-2.6.24-rc8_2.6.24~rc8-1~experimental.1_all.deb
  to pool/main/l/linux-2.6/linux-support-2.6.24-rc8_2.6.24~rc8-1~experimental.1_all.deb
linux-tree-2.6.24_2.6.24~rc8-1~experimental.1_all.deb
  to pool/main/l/linux-2.6/linux-tree-2.6.24_2.6.24~rc8-1~experimental.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 440807@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bastian Blank <waldi@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 18 Jan 2008 12:23:26 +0100
Source: linux-2.6
Binary: linux-headers-2.6.24-rc8-all-m68k linux-headers-2.6.24-rc8-xen-686 linux-patch-debian-2.6.24 linux-headers-2.6.24-rc8-s390x linux-image-2.6.24-rc8-powerpc-smp linux-headers-2.6.24-rc8-parisc linux-support-2.6.24-rc8 linux-image-2.6.24-rc8-parisc64 linux-headers-2.6.24-rc8-sparc64 linux-image-2.6.24-rc8-r5k-ip32 linux-headers-2.6.24-rc8-mckinley linux-image-2.6.24-rc8-footbridge linux-headers-2.6.24-rc8-all-powerpc linux-headers-2.6.24-rc8-ixp4xx linux-image-2.6.24-rc8-parisc linux-image-2.6.24-rc8-686 linux-image-2.6.24-rc8-xen-686 linux-image-2.6.24-rc8-mvme16x linux-headers-2.6.24-rc8-mvme147 linux-headers-2.6.24-rc8-mvme16x linux-headers-2.6.24-rc8-all-i386 linux-image-2.6.24-rc8-s390 linux-headers-2.6.24-rc8-s390-tape linux-headers-2.6.24-rc8-all-ia64 linux-headers-2.6.24-rc8-all-alpha linux-image-2.6.24-rc8-4kc-malta linux-headers-2.6.24-rc8-all linux-image-2.6.24-rc8-alpha-legacy linux-headers-2.6.24-rc8-powerpc64 linux-headers-2.6.24-rc8-4kc-malta linux-headers-2.6.24-rc8-versatile linux-headers-2.6.24-rc8-powerpc linux-headers-2.6.24-rc8-all-arm linux-image-2.6.24-rc8-sparc64 linux-headers-2.6.24-rc8-atari linux-headers-2.6.24-rc8-sb1a-bcm91480b linux-headers-2.6.24-rc8-footbridge linux-image-2.6.24-rc8-parisc-smp linux-headers-2.6.24-rc8-amd64 linux-headers-2.6.24-rc8-r4k-ip22 linux-libc-dev linux-image-2.6.24-rc8-sb1a-bcm91480b linux-image-2.6.24-rc8-mac linux-headers-2.6.24-rc8-486 linux-headers-2.6.24-rc8-parisc64-smp linux-image-2.6.24-rc8-alpha-generic linux-image-2.6.24-rc8-versatile linux-headers-2.6.24-rc8-sparc64-smp linux-image-2.6.24-rc8-mckinley linux-image-2.6.24-rc8-5kc-malta linux-headers-2.6.24-rc8-sb1-bcm91250a linux-headers-2.6.24-rc8-all-s390 linux-image-2.6.24-rc8-s390-tape linux-image-2.6.24-rc8-r5k-cobalt linux-headers-2.6.24-rc8-all-mips linux-headers-2.6.24-rc8-all-hppa linux-image-2.6.24-rc8-486 linux-image-2.6.24-rc8-amiga linux-headers-2.6.24-rc8-all-mipsel linux-headers-2.6.24-rc8-parisc64 linux-headers-2.6.24-rc8-itanium linux-headers-2.6.24-rc8-powerpc-smp linux-headers-2.6.24-rc8-alpha-smp linux-image-2.6.24-rc8-sb1-bcm91250a linux-headers-2.6.24-rc8-alpha-generic linux-headers-2.6.24-rc8-common linux-headers-2.6.24-rc8-bvme6000 linux-image-2.6.24-rc8-686-bigmem linux-image-2.6.24-rc8-atari linux-headers-2.6.24-rc8-parisc-smp linux-image-2.6.24-rc8-powerpc64 linux-headers-2.6.24-rc8-iop32x linux-tree-2.6.24 linux-image-2.6.24-rc8-powerpc-miboot linux-manual-2.6.24 linux-image-2.6.24-rc8-itanium linux-image-2.6.24-rc8-s390x linux-image-2.6.24-rc8-powerpc linux-image-2.6.24-rc8-parisc64-smp linux-headers-2.6.24-rc8-common-xen linux-image-2.6.24-rc8-mvme147 linux-headers-2.6.24-rc8-amiga linux-headers-2.6.24-rc8-r5k-cobalt linux-image-2.6.24-rc8-iop32x linux-image-2.6.24-rc8-alpha-smp linux-headers-2.6.24-rc8-all-amd64 linux-doc-2.6.24 linux-headers-2.6.24-rc8-r5k-ip32 linux-source-2.6.24 linux-image-2.6.24-rc8-bvme6000 linux-headers-2.6.24-rc8-all-armel linux-headers-2.6.24-rc8-powerpc-miboot linux-image-2.6.24-rc8-amd64 linux-headers-2.6.24-rc8-mac linux-image-2.6.24-rc8-r4k-ip22 linux-headers-2.6.24-rc8-686 linux-headers-2.6.24-rc8-5kc-malta linux-image-2.6.24-rc8-ixp4xx linux-headers-2.6.24-rc8-686-bigmem linux-headers-2.6.24-rc8-all-sparc linux-modules-2.6.24-rc8-xen-686 linux-headers-2.6.24-rc8-alpha-legacy linux-image-2.6.24-rc8-sparc64-smp linux-headers-2.6.24-rc8-s390
Architecture: source all powerpc
Version: 2.6.24~rc8-1~experimental.1
Distribution: experimental
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Bastian Blank <waldi@debian.org>
Description: 
 linux-doc-2.6.24 - Linux kernel specific documentation for version 2.6.24
 linux-headers-2.6.24-rc8-all - All header files for Linux 2.6.24
 linux-headers-2.6.24-rc8-all-powerpc - All header files for Linux 2.6.24
 linux-headers-2.6.24-rc8-common - Common header files for Linux 2.6.24-rc8
 linux-headers-2.6.24-rc8-powerpc - Header files for Linux 2.6.24-rc8 on uniprocessor 32-bit PowerPC
 linux-headers-2.6.24-rc8-powerpc-miboot - Header files for Linux 2.6.24-rc8 on 32-bit PowerPC for miboot fl
 linux-headers-2.6.24-rc8-powerpc-smp - Header files for Linux 2.6.24-rc8 on multiprocessor 32-bit PowerP
 linux-headers-2.6.24-rc8-powerpc64 - Header files for Linux 2.6.24-rc8 on 64-bit PowerPC
 linux-image-2.6.24-rc8-powerpc - Linux 2.6.24-rc8 image on uniprocessor 32-bit PowerPC
 linux-image-2.6.24-rc8-powerpc-miboot - Linux 2.6.24-rc8 image on 32-bit PowerPC for miboot floppy
 linux-image-2.6.24-rc8-powerpc-smp - Linux 2.6.24-rc8 image on multiprocessor 32-bit PowerPC
 linux-image-2.6.24-rc8-powerpc64 - Linux 2.6.24-rc8 image on 64-bit PowerPC
 linux-libc-dev - Linux Kernel Headers for development
 linux-manual-2.6.24 - Linux kernel API manual pages for version 2.6.24
 linux-patch-debian-2.6.24 - Debian patches to version 2.6.24 of the Linux kernel
 linux-source-2.6.24 - Linux kernel source for version 2.6.24 with Debian patches
 linux-support-2.6.24-rc8 - Support files for Linux 2.6.24-rc8
 linux-tree-2.6.24 - Linux kernel source tree for building Debian kernel images
Closes: 420245 426124 433204 440807 454776 454797 455566 455892 455892 456416 457562 457992 458142 458312 458899 459732
Changes: 
 linux-2.6 (2.6.24~rc8-1~experimental.1) experimental; urgency=low
 .
   * New upstream release
     (closes: #454776, #458142, #457992, #458899, #426124, #459732, #455566).
 .
   [ maximilian attems ]
   * New upstream release, rebase dfsg stuff plus drivers-atm.patch,
     scripts-kconfig-reportoldconfig.patch.
   * [amd64, powerpc] Set HIGH_RES_TIMERS and NO_HZ (closes: #458312).
   * topconfig set NETFILTER_XT_MATCH_TIME, NET_ACT_NAT, KSDAZZLE_DONGLE,
     KS959_DONGLE, NET_9P_FD, IP1000, VETH, IXGBE, NIU, TEHUTI, LIBERTAS_CS,
     LIBERTAS_SDIO, RT2X00, SENSORS_ADT7470, SENSORS_I5K_AMB, SENSORS_F71882FG,
     SENSORS_FSCHMD, SENSORS_IBMPEX, CRYPTO_XTS, CRYPTO_SEED, CRYPTO_AUTHENC,
     DVB_S5H1409, DVB_TUNER_MT2131, INET_LRO, MMC_RICOH_MMC, MMC_SPI,
     RTC_DRV_DS1374, VIDEO_CX23885, VIDEO_FB_IVTV, USB_SERIAL_CH341,
     SCSI_SRP_TGT_ATTRS, ADM8211, MTD_INTEL_VR_NOR, MTD_ALAUDA,
     MTD_ONENAND_2X_PROGRAM, MTD_ONENAND_SIM, DM_MULTIPATH_HP, FUJITSU_LAPTOP,
     QUOTA_NETLINK_INTERFACE, DM_UEVENT, SCSI_FC_TGT_ATTRS, SSB, BT_HCIUART_LL,
     BT_HCIBTSDIO, MTD_OOPS, CGROUPS, MDIO_BITBANG, HIDRAW, P54, SDIO_UART,
     NETCONSOLE_DYNAMIC, SECURITY_FILE_CAPABILITIES.
   * Disable smbfs in topconfig, not supported upstream, use cifs.
   * Disable bcm43xx, deprecated by upstream. Enable B43 (needs v4 firmware)
     and B43LEGACY (needs v3 firmware).
   * [i386]: Set SND_SC6000, EDAC_I3000, EDAC_I5000, SBC7240_WDT,
     NET_9P_VIRTIO, FB_GEODE_LX, VIRTIO_NET, VIRTIO_BLK.
   * Set USB_EHCI_TT_NEWSCHED fills USB 2.0 bandwith better. (closes: #454797)
   * postrm: Nuke initramfs sha1sum on linux-image removal. (closes: #420245)
   * Unifiy BSD_PROCESS_ACCT settings across configs. (closes: #455892)
   * Reenable DABUSB as firmware is BSD licensed.
   * [hppa]: Disable OCFS2, due build trouble.
   * topconfig: Enable delay accounting TASKSTATS. (closes: #433204)
   * Add git-ieee1394.patch for latest firewire fixes.
   * [i386] Enable PARAVIRT_GUEST. (closes: #457562)
   * [amd64, i386] Enable CPU_IDLE for software-controlled idle pm.
   * [amd64, i386] Enable IT8712F_WDT, FB_EFI.
   * Add and enable at76.patch wireless driver for Atmel USB cards.
   * Add and enable ath5k.patch wireless driver for Atheros 5xxx cards.
   * Unify VLAN_8021Q setting, needed also on r5k-cobalt.
   * Double max SERIAL_8250_NR_UARTS to 32. (closes: #440807)
   * topconfig: Enable AUDITSYSCALL for better SELinux support.
 .
   [ Bastian Blank ]
   * [amd64, i386]: Set kernel architecture to x86.
   * [i386]: Remove linux-libc-dev arch override.
 .
   [ Martin Michlmayr ]
   * [mipsel/r5k-cobalt] Enable the new LEDs driver for Cobalt RaQ.
   * [arm/iop32x] Re-enable USB_NET and PPP, thanks Daniel Hess (closes:
     #456416).
   * [arm/iop32x] Enable BSD_PROCESS_ACCT and POSIX_MQUEUE (closes: #455892).
   * [mips] Disable AdvanSys SCSI since it doesn't compile.
   * [arm/ixp4xx] Enable IP_ADVANCED_ROUTER, requested by Oliver Urbann.
   * [arm/iop32x] Enable IP_ADVANCED_ROUTER.
 .
   [ dann frazier ]
   * [ia64]: Enable BLK_CPQ_DA
 .
   [ Frederik Schüler ]
   * Add GFS2 locking symbols export patch.
 .
   [ Aurelien Jarno ]
   * [mips/mipsel] Remove QEMU flavour, as the Malta platform is now correctly
     emulated in QEMU.
 .
   [ Christian T. Steigies ]
   * [m68k]: Update patches from linux-m68k CVS
   * [m68k]: Enable building for bvme6000, mvme147, and mvme16x again
Files: 
 afd2f41b686e0d8f763534bb57ab77e3 4568 devel optional linux-2.6_2.6.24~rc8-1~experimental.1.dsc
 b7e3338b437ec49037e51f9d12e95c9f 58512156 devel optional linux-2.6_2.6.24~rc8.orig.tar.gz
 afd03412af9e000aab8ee401172cbc47 908333 devel optional linux-2.6_2.6.24~rc8-1~experimental.1.diff.gz
 ae0d073eecd8ae9fb5b75e2856e1a7bf 4276664 doc optional linux-doc-2.6.24_2.6.24~rc8-1~experimental.1_all.deb
 8ed774a38f8518685ecc5db01db83210 1549140 doc optional linux-manual-2.6.24_2.6.24~rc8-1~experimental.1_all.deb
 6a933b0d7fe03ea5d7e09cfb5d9a42be 600204 devel optional linux-patch-debian-2.6.24_2.6.24~rc8-1~experimental.1_all.deb
 387ee6e9cccf0e272ea95b11e46f96c5 45933244 devel optional linux-source-2.6.24_2.6.24~rc8-1~experimental.1_all.deb
 b0d7ed7dfd858a92fdf6f30083b53c12 85348 devel optional linux-support-2.6.24-rc8_2.6.24~rc8-1~experimental.1_all.deb
 86bb54a5c6a6d9994fb49f3c3e181b3d 70886 devel optional linux-tree-2.6.24_2.6.24~rc8-1~experimental.1_all.deb
 7549b30c31b3f1b8c1a6886cd414fb49 19062090 admin optional linux-image-2.6.24-rc8-powerpc_2.6.24~rc8-1~experimental.1_powerpc.deb
 20ea50578e5fac5d30253f86a3e1dada 304966 devel optional linux-headers-2.6.24-rc8-powerpc_2.6.24~rc8-1~experimental.1_powerpc.deb
 79c4fee9fcfaa86a3d5aeb805d8aea6d 17372892 admin optional linux-image-2.6.24-rc8-powerpc-miboot_2.6.24~rc8-1~experimental.1_powerpc.deb
 d737e5cff9f6c1da5feb77c23c9909c7 279492 devel optional linux-headers-2.6.24-rc8-powerpc-miboot_2.6.24~rc8-1~experimental.1_powerpc.deb
 b9ac8072b2d5e8ba654032b816e0c5c4 19401914 admin optional linux-image-2.6.24-rc8-powerpc-smp_2.6.24~rc8-1~experimental.1_powerpc.deb
 6b2dd9fa7379b104aadead5aeecb6392 305140 devel optional linux-headers-2.6.24-rc8-powerpc-smp_2.6.24~rc8-1~experimental.1_powerpc.deb
 2bf4efdeb0d5d3e253189ca8f3a75e6d 21044798 admin optional linux-image-2.6.24-rc8-powerpc64_2.6.24~rc8-1~experimental.1_powerpc.deb
 1e765018857244be9eb132c62a02e5a3 307226 devel optional linux-headers-2.6.24-rc8-powerpc64_2.6.24~rc8-1~experimental.1_powerpc.deb
 848b41cfe148d6939bfc74ef86476609 3895082 devel optional linux-headers-2.6.24-rc8-common_2.6.24~rc8-1~experimental.1_powerpc.deb
 45a5271bb316e439ded9cc330df41797 70540 devel optional linux-headers-2.6.24-rc8-all_2.6.24~rc8-1~experimental.1_powerpc.deb
 513e4b643306df1ddb450b0d68ba0a69 70576 devel optional linux-headers-2.6.24-rc8-all-powerpc_2.6.24~rc8-1~experimental.1_powerpc.deb
 d6ae1467a7407072c54fe9fb5153c16f 710404 devel optional linux-libc-dev_2.6.24~rc8-1~experimental.1_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iEYEARECAAYFAkeQnWwACgkQxWtQqFixGB5ZxgCeOqmmqddDRJItf8+xo7kI4BYT
tX4AoJNz3Cf1juuONBPDYXufeGUBXLcK
=GYaQ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 25 Apr 2008 07:28:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:26:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.